﻿Option Strict On
Imports System.Xml.Linq
Imports System.IO
Imports System.IO.IsolatedStorage
Imports Microsoft.Phone
Imports System.Windows.Media.Imaging

Partial Public Class DataIchiranPage
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        Dim storage As IsolatedStorageFile = IsolatedStorageFile.GetUserStoreForApplication
        Dim filePath As String = Path.Combine("kinect", "FileList.xml")
        Using myStream As IsolatedStorageFileStream = storage.OpenFile(filePath, FileMode.Open, FileAccess.Read)
            Using reader As StreamReader = New StreamReader(myStream)
                Dim readXmldoc As String = reader.ReadToEnd
                Dim doc As XElement = XElement.Parse(readXmldoc)
                Dim myListInfo As New List(Of String)

                For Each result In From c In doc.Descendants("情報") Select c
                    myListInfo.Add("入時間=" & result.Element("入時間").Value & vbCrLf & "出時間=" & result.Element("出時間").Value & vbCrLf & "---------------------------")

                Next
                ListBox1.ItemsSource = myListInfo
            End Using
        End Using
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Dim storage As IsolatedStorageFile = IsolatedStorageFile.GetUserStoreForApplication
        Dim filePath As String = Path.Combine("kinect", "FileList.xml")
        If storage.FileExists(filePath) = True Then
            storage.DeleteFile(filePath)
        End If
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
    End Sub
End Class
